summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorDavid Barri2021-01-31 15:46:33 +1100
committerDavid Barri2021-01-31 15:46:33 +1100
commitf2b6720ae600aed911bbd2b87f627f42d35eaabf (patch)
tree52ed4310e78698280734c56ccc69a701ced12850
downloadaur-f2b6720ae600aed911bbd2b87f627f42d35eaabf.tar.gz
0.6.1
-rw-r--r--.SRCINFO14
-rw-r--r--.gitignore3
-rw-r--r--Makefile8
-rw-r--r--PKGBUILD27
4 files changed, 52 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..56143308df6
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,14 @@
+pkgbase = verthash-miner-bin
+ pkgdesc = GPU miner for the Verthash algorithm
+ pkgver = 0.6.1
+ pkgrel = 1
+ url = https://github.com/CryptoGraphics/VerthashMiner
+ arch = x86_64
+ license = GPL-3.0
+ provides = verthash-miner
+ conflicts = verthash-miner
+ source = https://github.com/CryptoGraphics/VerthashMiner/releases/download/0.6.1/VerthashMiner-0.6.1-CUDA11-linux.tar.gz
+ sha256sums = 67649a4dfe71d1f106aa1e98ed2245f1ea01c11759499dc2b29c5ba91da85597
+
+pkgname = verthash-miner-bin
+
diff --git a/.gitignore b/.gitignore
new file mode 100644
index 00000000000..044f521569d
--- /dev/null
+++ b/.gitignore
@@ -0,0 +1,3 @@
+*.pkg.*
+*.tar.gz
+*.zip \ No newline at end of file
diff --git a/Makefile b/Makefile
new file mode 100644
index 00000000000..4f09e42a93f
--- /dev/null
+++ b/Makefile
@@ -0,0 +1,8 @@
+.PHONY: post clean
+
+post:
+ makepkg --verifysource -f
+ makepkg --printsrcinfo > .SRCINFO
+
+clean:
+ git clean -fX
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..20f9eff347a
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,27 @@
+# Maintainer: David Barri <japgolly@gmail.com>
+pkgname=verthash-miner-bin
+pkgver=0.6.1
+pkgrel=1
+pkgdesc="GPU miner for the Verthash algorithm"
+arch=('x86_64')
+url="https://github.com/CryptoGraphics/VerthashMiner"
+license=('GPL-3.0')
+source=("https://github.com/CryptoGraphics/VerthashMiner/releases/download/$pkgver/VerthashMiner-$pkgver-CUDA11-linux.tar.gz")
+sha256sums=('67649a4dfe71d1f106aa1e98ed2245f1ea01c11759499dc2b29c5ba91da85597')
+provides=('verthash-miner')
+conflicts=('verthash-miner')
+
+package() {
+ set -eu
+
+ cd VerthashMiner-$pkgver-CUDA11-linux
+
+ mkdir -p "$pkgdir/opt"
+ cp -r . "$pkgdir/opt/verthash-miner"
+
+ install -Dm644 LICENSE "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
+
+ mkdir -p "$pkgdir/usr/bin"
+ cd "$pkgdir/usr/bin"
+ ln -s ../../opt/verthash-miner/VerthashMiner verthash-miner
+}